---
title: "Design Philosophy"
lang: en-US
pre: "our story"
description: "Feather DS was designed to provide a highly tuned, beautiful design system that makes no compromise when it comes to user needs."
tags: ["Foundation", "Design Philosophy"]
menu: foundation
---

## The Feather Origin

Feather started as an in-house design system tailored towards the goals of NantHealth and its various products. The product portfolio consists of applications that deal with various facets of the healthcare industry while leveraging technology of the modern web in innovative ways. The unique needs of the healthcare industry posed design challenges around concepts like accessibility, trust and cognitive psychology.

## Accessible Design

Feather places accessibility at the center of the design system experience. The primary goal of the system is to provide the best possible experience to the widest possible audience. From early concept work to implementation support, every component of the system goes through a rigorous round of testing and validation. There are some cases where components have been completely scrapped in favor of alternative approached that better balance accessibility objectives.

## Feather Style

The style of Feather is intended to strike a balance between the pioneering spirit of the technology industry and the maturity and sophistication of the healthcare industry. Colors, typography and iconography have all been chosen to strike balance between the attributes of both fields. Being open source, Feather also promotes literal openness in design, utilizing lighter type weights where it makes sense, defaulting to stroked iconography styles and promoting simplicity in design, embracing open space to emphasize related component and elements across the interface.
